## Lista
<details><summary>Clicca per visualizzare</summary>

* <img src="https://i.ibb.co/9q5JD2V/archivewarrior.png" width="28" /> [archive warrior](archivewarrior) - un nodo per aiutare l'[archive team](https://archive.org/)
* <img src="https://i.ibb.co/cTFLQSr/borg.png" width="28" /> [borg](borg) - semplice programma per i backup
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/foldingathome.png" width="28" /> [folding@home](folding@home/) - calcolo distrubuito per la ricerca medica
* <img src="https://i.ibb.co/jW4C66B/dozzle.png" width="28" /> [dozzle](dozzle/) - interfaccia web per controllare i log dei container
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/gitea.png" width="28" /> [gitea](gitea/) - simil-github
* <img src="https://raw.githubusercontent.com/bastienwirtz/homer/main/public/logo.png" width="28" /> [homer](homer/) - semplice pagina per tutti i servizi che volete
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/jellyfin.png" width="28" /> [jellyfin](jellyfin/) - simil-netflix
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/komga.png" width="28" /> [komga](komga/) - gestore per manga/comics
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/youtubedl.png" width="28" /> [metube](metube/) - frontend per youtube-dl
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/miniflux.png" width="28" /> [miniflux](miniflux/) - gestore di feed minimale
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/navidrome.png" width="28" /> [navidrome](navidrome/) - ascolto e gestione di file musicali (MP3/M4A/etc)
* <img src="https://i.ibb.co/WcG65vk/podgrab.png" width="28" /> [podgrab](podgrab/) - ascolto e gestione di podcast
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/syncthing.png" width="28" /> [syncthing](syncthing/) - simil-dropbox ma decentralizzato
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/transmission.png" width="28" /> [transmission](transmission/) - client bittorrent
* <img src="https://raw.githubusercontent.com/NX211/homer-icons/master/png/unifi.png" width="28" /> [unifi-controller](unifi/) - gestione dell'hardware ubiquiti
* <img src="https://raw.githubusercontent.com/containrrr/watchtower/main/logo.png" width="28" /> [watchotwer](watchtower/) - aggiornamento automatico delle immagini
* altri in arrivo, stay tuned™

</details></br>

## Struttura degli esempi
**Prima di procedere con gli esempi è necessario avere conoscenza di base di linux e docker(-compose)/podman**</br>
Versione minima dei software richiesti: **docker@20.10.0**, **docker-compose@1.29.0**, **podman@v3.0.0**</br>
È quasi tutto semi-esplicativo e abbastanza dettagliato, nel caso di problemi e/o dubbi non esitate a contattarmi in privato su [telegram](https://t.me/ghostakilla) o aprire una [issue](https://gitea.it/miracle091/MasterpieceDockerCompose/issues/new)

* **Descrizione**
* **Struttura file e cartelle**
* **Esempi**
* **Reverse proxy**
* **Aggiornamento**
* **Backup e ripristino**
* **Todo**

## Precisazioni ed Extra
### Uso della tag *"latest"*
Quasi tutte le immagini sono senza tag, così che venga usata quella di default `latest`, molti ne [consigliano](https://vsupalov.com/docker-latest-tag/) l'uso ma siete comunque liberi di usare una versione specifica dell'immagine, in caso di problemi noti o se notate poca stabilità dell'immagine

---

### Bind mount
Tutti i file e le cartelle sono montati direttamente dall'host nel container:</br>
**Pro:**
- Creare, modificare e salvare, come se fosse una qualsiasi cartella/file
- Backup e ripristini molto semplici

**Contro:**
- Maggiore vulnerabilità dell'host, nel caso di un'attacco mirato (esterno per lo più)
- Obbligo di impostare/controllare i permessi (lettura/scrittura) per le cartelle e/o i file

---

### ctop 
[Sito ufficiale](https://ctop.sh/) - [Repo (Github)](https://github.com/bcicen/ctop)

![ctop-look](https://ctop.sh/img/screencap.gif)

Programma simile ad [htop](https://htop.dev/) per una gestione semplice dei container:
* Scritto in Go, singolo binario e senza dipendenze extra
* Disponibile per le maggiori distro linux/unix, probabilmente è già nel vostro package manager
* Panoramica dell'uso dell'hardware: CPU, RAM, utilizzo della rete per singolo contenitore
* Informazioni dettagliate sul contenitore: IP, porte, healthcheck, utilizzo del disco e della rete

---

### Risorse usate e ispirazione
La maggior parte delle icone utilizzate, sono prese da [Homer Icons](https://github.com/NX211/homer-icons) e [css.gg](https://css.gg/)</br></br>
[DoTheEvo/selfhosted-apps-docker](https://github.com/DoTheEvo/selfhosted-apps-docker/blob/master/README.md)</br>
[StarWhiz/docker_deployment_notes](https://github.com/StarWhiz/docker_deployment_notes/blob/master/README.md)
