# Dozzle
<div align="center">
  <img src="https://raw.githubusercontent.com/amir20/dozzle/master/.github/demo.gif" />
</div>

## Descrizione
[Sito ufficiale](https://dozzle.dev/) - [Repo (Github)](https://github.com/amir20/dozzle)

Dozzle è un'interfaccia per controllaer i log dei cointainer:
- Visione di più log nella stessa schermata
- Supporto al download dei log completi

## Struttura file e cartelle
```
/home/
└── docker/
    └── dozzle/
        ├── .env
        └── docker-compose.yml
```

* `.env` - file contenenti le variabili environment per il docker-compose
* `docker-compose.yml` - file usato per creare il container

**N.B. Tutti i file e le cartelle devono essere creati a mano.**

## Esempi
Semplice esempio per iniziare ad usare subito il container

### docker-compose
`docker-compose.yml`
```yml
version: "3.5"
services:
  dozzle:
    container_name: dozzle
    image: amir20/dozzle
    security_opt:
      - no-new-privileges:true
    restart: unless-stopped
    ports:
      - ${DOZZLE_WEBUI_PORT:-8080}:8080
    env_file: .env
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
```

`.env`
```bash
# Generale
DOZZLE_WEBUI_PORT=8080
```

## Aggiornamento
### Automatico
Se usate [watchtower](../watchtower) il container si aggiorna automaticamente

### Manuale
1. `docker-compose pull`
2. `docker-compose up -d`
3. `docker image prune`
