# Komga
<div align="center">
  <img src="https://i.ibb.co/3hc9vKb/Screenshot-2021-05-17-Komga.png" />
</div>

## Descrizione
[Sito ufficiale](https://komga.org/) - [Repo (Github)](https://github.com/gotson/komga) - [Demo](https://demo.komga.org/) Login: ```demo@komga.org``` Password: ```komga-demo``` - [Docs](https://komga.org/guides/)

Komga è un server per la gestione di manga/comics:
- Lettore web integrato e configurabile
- Organizzare i vostri manga/comics in collezioni
- Modifica e importazione dei metadati, sia locali che integrati
- Multiutente, con possiblità di gestire (anche singolarmente) l'accesso alle librerie
- Compatibile con i classici formati (CBZ, CBR, PDF e EPUB)

## Struttura file e cartelle
```
/home/
└── docker/
    └── komga/
        ├── config/
        ├── data/
        ├── .env
        └── docker-compose.yml
```

* `config/` - cartella dove risiedono i dati che servono a komga
* `data/` - cartella dove vanno messi i manga/comics
* `.env` - file contenenti le variabili environment per il docker-compose
* `docker-compose.yml` - file usato per creare il container

**N.B. Tutti i file e le cartelle devono essere creati a mano.**

## Esempi
Semplice esempio per iniziare ad usare subito il container

### docker-compose
`docker-compose.yml`
```yml
version: "3.5"
services:
  komga:
    container_name: komga
    image: gotson/komga
    security_opt:
      - no-new-privileges:true
    networks: 
      - custom-bridge
    restart: unless-stopped
    ports:
      - ${KOMGA_WEBUI_PORT:-8080}:8080
    env_file: .env
    volumes:
      - ${KOMGA_CONFIG:-/home/docker/komga/config}:/config
      - ${KOMGA_DATA:-/home/docker/komga/data}:/data

networks:
  custom-bridge:
    name: custom-bridge
    driver: bridge
```

`.env`
```bash
# Generale
KOMGA_WEBUI_PORT=8080
KOMGA_CONFIG=/config
KOMGA_DATA=/data

# Komga
ND_LOGLEVEL=info
```

## Reverse proxy
Ancora non ho previsto l'uso di un reverse proxy (Vedi [Todo](#Todo))

## Aggiornamento
### Automatico
Usando [watchtower](../watchtower) il container si aggiorna automaticamente

### Manuale
1. `docker-compose pull`
2. `docker-compose up -d`
3. `docker image prune`

## Backup e ripristino
### Backup
Usate [borg](../borg_backup) per fare i backup giornalieri dell'intera cartella `komga`

### Ripristino
Per una maggiore spiegazione sui passaggi da fare, controllate [qua](../borg_backup#user-content-controllare-la-cartella-dei-backup)
1. fermare il container `docker-compose down`
2. cancellare l'intera cartella `komga`
3. dal backup copiare la cartella `komga`
4. far ripartire il container `docker-compose up -d`

## Todo
Implementare:
- reverse proxy: **[caddy](https://caddyserver.com/)** o **[traefik](https://doc.traefik.io/traefik/)**
